<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE mapper
	PUBLIC '-//mybatis.org//DTD Mapper 3.0//EN'
	'http://mybatis.org/dtd/mybatis-3-mapper.dtd'>
<mapper namespace='com.shining.cloud.mapper.information.TopMapper'>
	<select id="getTopListByDevList" resultType="com.shining.cloud.pojo.information.TopException">
		select * from pqs_topmsg where timeid = #{startTime}
		and  (alarm_num &gt; 0 or comout_num &gt; 0 or flow_stand = 1)
		and dev_index in
		<foreach collection="list" item="item" open="(" separator="," close=")">
			#{item}
		</foreach>
	</select>
</mapper>
